#!/bin/bash

# Wrapper for the %find_lang macro which splits out the various translations in per-target lists

/usr/lib/rpm/find-lang.sh $*
if test $? != 0 ; then
    exit 1
fi

PACKAGE_NAME=$2
MINGW32_PREFIX=`rpm --eval "%{mingw32_prefix}"`
MINGW64_PREFIX=`rpm --eval "%{mingw64_prefix}"`

cat $2.lang | grep "$MINGW32_PREFIX" > mingw32-$PACKAGE_NAME.lang
cat $2.lang | grep "$MINGW64_PREFIX" > mingw64-$PACKAGE_NAME.lang

exit 0
