#!/bin/bash

# This script reads filenames from STDIN and outputs any relevant provides
# information that needs to be included in the package.

if [ "$1" ]
then
   package_name="$1"
fi

filelist=`sed "s/['\"]/\\\&/g"`

dlls=$(echo $filelist | tr [:blank:] '\n' | grep '\.dll$')

# MinGW
for f in $dlls; do
    basename=`basename $f | tr [:upper:] [:lower:]`
    case "$f" in
        *x86_64-w64-mingw32*)
            echo "mingw64($basename)"
            ;;

        *i686-w64-mingw32*)
            echo "mingw32($basename)"
            ;;
    esac
done
